# CarbonVortex Dynamics

## **Initial Contract Settings**

The contract requires the deployer to predefine parameters which are used for the different function and functionalities of the contract and dutch auction.

#### Non adjustable values:

* Auction initial price - set at uint128, it enables every auction to start at a price point of 34×10^37
* targetToken - token address to consolidate all fees into
* finalTargetToken - \[optional] token address to auction targetToken to

#### Adjustable values:

* priceDecayHalfLife - on existing deployments it is set at 6h. This determine the speed in which the "**AnyToken to targetToken**" auction price moves once initiated (following `execute()`).&#x20;
* targetTokenPriceDecayHalfLife - on existing deployments it is set at 6h. This determine the speed in which the "**targetToken to finalTargetToken**" auction price moves once initiated (following `execute()`).
* targetTokenPriceDecayHalfLifeOnReset - on existing deployments it is set at 10days. This determine the speed in which the "**targetToken to finalTargetToken**" auction price slows down to following a trade.
* targetTokenSaleAmount - unlike other auctions that auction the entire available balance of the token, targetToken auctions use buckets. This value indicates the maximum amount of tokens the bucket can auction at once.

## **Initiating and Restarting Auctions**

Upon calling `execute()` , token balance will be transferred into the CarbonVortex contract and be included in an active auction. If there is no active auction, a new one will be created. There are some specific cases in which an auction price will reset to allow new tokens to rediscover their market price.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/using-carbonvortex/carbonvortex-dynamics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
